------------------------------------------------------------------------------------
--	modVersion
--	Haupt- und Nebenversion des Mods.
--	Änderung der Nebenversion (minorVersion) wird automatisch in den Info-Block
--	übernommen.
------------------------------------------------------------------------------------
local modVersion = {
	majorVersion = 2,
	minorVersion = 1,
}

------------------------------------------------------------------------------------
--	Load eatglobal.
------------------------------------------------------------------------------------
local global = require "eatglobal_v2_32013"

------------------------------------------------------------------------------------
--	global.forceCleanApi(modVersion)
--	1. Bereinigt die API von evtl. veralteten Dateien.
--	2. Ermittelt alle verfügbaren Bibliotheken und Module der API.
------------------------------------------------------------------------------------
global.forceCleanApi(modVersion)

------------------------------------------------------------------------------------
--	Load other modules.
------------------------------------------------------------------------------------
local modutils = global.modutils

------------------------------------------------------------------------------------
--	modData
--	
------------------------------------------------------------------------------------
local modData = {
	general = {
		hideFiles = {
		},
	},
	userSelection = {
		------------------------------------------------------------------------------------
		--	files
		--	Inhalt geladen per global.loadDataFile(fileName).
		--	Parameter "fileName" immer relativ zum Modpfad.
		------------------------------------------------------------------------------------
		--[[files = global.loadDataFile("mcdata/filesData.lua"),
		disableStartYear = {
			key = "maikc_correct_vanilla_startyear",
			name = "maikc_startyear_name",
			tooltip = "maikc_startyear_tooltip",
			default = false,
			values = {"ab 1850", "Default"},
			order = 6,
		},
		disableEndYear = {
			key = "maikc_correct_vanilla_endyear",
			name = "maikc_endyear_name",
			tooltip = "maikc_endyear_tooltip",
			default = false,
			values = {"Unendlich", "Default"},
			order = 7,
		},]]
		handleTableData = {
			------------------------------------------------------------------------------------
			--	Erster Eintrag
			--	Inhalt geladen per global.loadDataFile(fileName).
			--	Parameter "fileName" immer relativ zum Modpfad.
			------------------------------------------------------------------------------------
			global.loadDataFile("mcdata/yearsetData.lua"),
			------------------------------------------------------------------------------------
			--	eventuelle weitere Einträge
			--	......
			--	......
			------------------------------------------------------------------------------------
		},
	},
}
local myModUtils = modutils.userSettings.create(modData)

------------------------------------------------------------------------------------
------------------------------------------------------------------------------------
function data()
	return {
		info = {
			minorVersion = modVersion.minorVersion,
			severityAdd = "NONE",
			severityRemove = "NONE",
			name = _("info_name_correct_vanilla"),
			description = _("info_desc_correct_vanilla"),
			authors = {
				{
				name = 'MaikC',
				role = 'CREATOR',
				text = "Model",
				tfnetId = 21205,
				},
			},
			tags = {"Voith","locomotive","Vehicle","Diesel"},
				visible = true,
				params = myModUtils.myParams.params,
		},
			
		runFn = function(settings, modParams)
			myModUtils.execute(modParams)
		end
	}
end